package models

// Session represents user sessions
type Session struct {
	ID         []byte `gorm:"type:BINARY(16);primaryKey"`
	Inserted   uint64 `gorm:"column:inserted;not null"`
	Updated    uint64 `gorm:"column:updated;not null"`
	UserID     []byte `gorm:"column:userId;type:BINARY(16);not null"`
	Terminated uint64 `gorm:"column:terminated"`

	User User `gorm:"foreignKey:UserID"`
}
